Terminal Transactions
curl --request GET \
--url https://nini.monieswitch.com/terminal/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/terminal/transactions"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/terminal/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"size": 50,
"page": 1,
"totalRecords": 2,
"totalPages": 1,
"transactions": [
{
"id": "9b1793eb-af0b-4923-8915-be7e634cb3cc",
"type": "CREDIT",
"status": "SUCCESS",
"amount": 15000,
"charges": 275,
"reference": "AeBk2hJpYltEfojcUWLsDvV8DTuNxjsuzrPU",
"category": "BANK_FUNDING",
"sessionId": "999270250103172223723249419791",
"description": "₦15,000.00 received from Emmanuel",
"settledAmount": 14725,
"createdAt": "2025-01-03T16:22:58.016Z",
"paidAt": "2025-01-03T16:22:23.800Z",
"userId": "57238fc4-6214-45c7-9b57-91d4ec2bee31",
"storeId": "9ab67f41-10c9-4f52-adfc-31f460980966",
"narration": "Sandbox Account funding.",
"storeName": "Lambe Shop",
"terminalId": "00319ac9-ab60-48be-9604-fc62004b0f55",
"walletType": "STATIC",
"channelCode": "2",
"terminalName": "Lambe 01",
"originatorBankCode": "999270",
"originatorBankName": "Monieswitch Test Bank",
"beneficiaryBankCode": "999270",
"beneficiaryBankName": "XpressWallet",
"transactionReference": "AeBk2hJpYltEfojcUWLsDvV8DTuNxjsuzrPU",
"originatorAccountName": "Emmanuel",
"beneficiaryAccountName": "Neyosoft/Lambe 01",
"originatorAccountNumber": "0167421242",
"beneficiaryAccountNumber": "4404963015",
"originatorBankVerificationNumber": "",
"beneficiaryBankVerificationNumber": ""
},
{
"id": "69d87c73-4dbb-48dd-b8fc-4fafd184084d",
"type": "CREDIT",
"status": "SUCCESS",
"amount": 10000,
"charges": 200,
"reference": "DFe14z9T8eNzoPX7NVdNSbJX8pjS8sUpxK4O",
"category": "BANK_FUNDING",
"sessionId": "999270241231102355227720695103",
"description": "₦10,000.00 received from Emmanuel",
"settledAmount": 9800,
"createdAt": "2024-12-31T09:23:56.685Z",
"paidAt": "2024-12-31T09:23:55.076Z",
"userId": "57238fc4-6214-45c7-9b57-91d4ec2bee31",
"storeId": "9ab67f41-10c9-4f52-adfc-31f460980966",
"narration": "Sandbox Account funding.",
"storeName": "Lambe Shop",
"terminalId": "00319ac9-ab60-48be-9604-fc62004b0f55",
"walletType": "STATIC",
"channelCode": "2",
"terminalName": "Lambe 01",
"originatorBankCode": "999270",
"originatorBankName": "Monieswitch Test Bank",
"beneficiaryBankCode": "999270",
"beneficiaryBankName": "XpressWallet",
"transactionReference": "DFe14z9T8eNzoPX7NVdNSbJX8pjS8sUpxK4O",
"originatorAccountName": "Emmanuel",
"beneficiaryAccountName": "Neyosoft/Lambe 01",
"originatorAccountNumber": "0167421242",
"beneficiaryAccountNumber": "4404963015",
"originatorBankVerificationNumber": "",
"beneficiaryBankVerificationNumber": ""
}
]
}
}Branches
Terminal Transactions
GET
/
terminal
/
transactions
Terminal Transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
The body is of type object.
⌘I